: Class JSException

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FESI.jslib
Class JSException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--FESI.jslib.JSException

public class JSException
extends java.lang.Exception

Thrown when the EcmaScript interpreter detect an error. Package the message of the EcmaScriptException (or other exception) which was generated.

See Also:
  Serialized Form

Constructor Summary
`JSException(java.lang.String s)` Constructs a `JSException` with the specified detail message.
`JSException(java.lang.String s, java.lang.Throwable originatingException)` Constructs a `JSException` with the specified detail message, but refereing to the original exception

Method Summary
`java.lang.Throwable` | `getOriginatingException()` Get the originating exception (if any) or null.
`void` | `printStackTrace()` Prints this `Throwable` and its backtrace to the standard error stream.
`void` | `printStackTrace(java.io.PrintStream s)` Prints this `Throwable` and its backtrace to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter w)` Prints this `Throwable` and its backtrace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSException

    public JSException(java.lang.String s)

  Constructs a `JSException` with the specified detail message.
  Parameters:
    `s` - the detail message.

### JSException

    public JSException(java.lang.String s,
                       java.lang.Throwable originatingException)

  Constructs a `JSException` with the specified detail message, but refereing to the original exception
  Parameters:
    `s` - the detail message.

Method Detail

### getOriginatingException

    public java.lang.Throwable getOriginatingException()

  Get the originating exception (if any) or null. Look down until a true originating exception is found, if possible.
  Returns:
    originating exception or null.

### printStackTrace

    public void printStackTrace()

  Prints this `Throwable` and its backtrace to the standard error stream.
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints this `Throwable` and its backtrace to the specified print stream.
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter w)

  Prints this `Throwable` and its backtrace to the specified print writer.
  Overrides:
    printStackTrace in class java.lang.Throwable

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD